<!-- Version 1.0 by Passage Systems, Inc.
 
     fulltext.v - the stylesheet used for formatting the bulk of the online
                   book.
 
-->

<!ENTITY	book.font-family	CDATA	"Arial"	>
<!ENTITY	bullet-leftind	CDATA	"15"	>
<!ENTITY	caution-color	CDATA	"light brown"	>
<!ENTITY	chap-1st-indent	CDATA	"-100"	>
<!ENTITY	chap-left-indent	CDATA	"100"	>
<!ENTITY	chap.title.font-family	CDATA	"Arial"	>
<!ENTITY	chap.title.font-size	CDATA	"20"	>
<!ENTITY	chap.title.line-spacing	CDATA	"24"	>
<!ENTITY	code-font	CDATA	"Courier"	>
<!ENTITY	code-size	CDATA	"10"	>
<!ENTITY	danger-color	CDATA	"red"	>
<!ENTITY	default-color	CDATA	"black"	>
<!ENTITY	default-spaceb4	CDATA	"4"	>
<!ENTITY	default.body.size	CDATA	"12"	>
<!ENTITY	default.left-indent	CDATA	"+=15"	>
<!ENTITY	default.line-spacing	CDATA	"15"	>
<!ENTITY	default.list.left-indent	CDATA	"+=20"	>
<!ENTITY	default.listitem.first-indent	CDATA	"-=20"	>
<!ENTITY	default.right-indent	CDATA	"20"	>
<!ENTITY	default.sect.space-before	CDATA	"24"	>
<!ENTITY	default.space-after	CDATA	"4"	>
<!ENTITY	default.title.space-before	CDATA	"4"	>
<!ENTITY	doc.title.font-size	CDATA	"24"	>
<!ENTITY	external-color	CDATA	"red"	>
<!ENTITY	figure.title.first-indent	CDATA	"-75"	>
<!ENTITY	figure.title.left-indent	CDATA	"75"	>
<!ENTITY	hot-link.color	CDATA	"Blue"	>
<!ENTITY	indexdiv.space-after	CDATA	"12"	>
<!ENTITY	itemized-left-indent	CDATA	"+=5"	>
<!ENTITY	listitem.space-after	CDATA	"6"	>
<!ENTITY	note.first-indent	CDATA	"-=50"	>
<!ENTITY	note.left-indent	CDATA	"+=50"	>
<!ENTITY	product-size	CDATA	"36"	>
<!ENTITY	script-size	CDATA	"9"	>
<!ENTITY	sect-textb4-size	CDATA	"21"	>
<!ENTITY	sect.title.font-family	CDATA	"Arial"	>
<!ENTITY	sect1.space-before	CDATA	"12"	>
<!ENTITY	sect1.title-size	CDATA	"18"	>
<!ENTITY	sect1.title.space-after	CDATA	"6"	>
<!ENTITY	sect1.title.space-before	CDATA	"4"	>
<!ENTITY	sect2.title-size	CDATA	"16"	>
<!ENTITY	sect2.title.space-before	CDATA	"24"	>
<!ENTITY	sect3.title-size	CDATA	"14"	>
<!ENTITY	sect4.title-size	CDATA	"12"	>
<!ENTITY	small-space-after	CDATA	"2"	>
<!ENTITY	small-spaceb4	CDATA	"2"	>
<!ENTITY	table-size	CDATA	"11"	>
<!ENTITY	table.title.first-indent	CDATA	"-75"	>
<!ENTITY	table.title.left-indent	CDATA	"75"	>
<!ENTITY	title-size	CDATA	"24"	>
<!ENTITY	title-spaceAfter	CDATA	"12"	>
<!ENTITY	warning-color	CDATA	"dark red"	>
<!ENTITY	warning.first-indent	CDATA	"-=70"	>
<!ENTITY	warning.left-indent	CDATA	"+=70"	>

<sheet >



<?INSTED COMMENT: GROUP inline-char>

<group name="inline-char">
	<select>	switch(parent(me()),link,font-in-link,olink,font-in-olink,DEFAULT,)	</>
</group>

<style name="APPLICATION" group="inline-char">
	<font-weight>	Bold	</>
	<font-slant>	Italics	</>
</style>

<style name="CHARSET" group="inline-char">
	<font-family>	switch(attr(role),dingbat,ZapfDingbats,symbol,Symbol,screen,Video-Screen,screen-reverse,Video-ScreenReverse,DEFAULT,)	</>
	<font-weight>	Medium	</>
	<font-slant>	Roman	</>
	<character-set>	switch(attr(role),dingbat,fontspecific,symbol,fontspecific,screen,fontspecific,screen-reverse,fontspecific,DEFAULT,iso8859-1)	</>
</style>

<style name="CITETITLE" group="inline-char">
	<font-slant>	Italics	</>
</style>

<style name="COMMAND" group="inline-char">
	<font-weight>	Bold	</>
</style>

<style name="COMMENT" group="inline-char">
	<font-weight>	Bold	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
</style>

<style name="DATABASE" group="inline-char">
	<font-slant>	Italics	</>
</style>

<style name="EMPHASIS" group="inline-char">
	<font-slant>	Italics	</>
</style>

<style name="FILENAME" group="inline-char">
	<font-weight>	Bold	</>
</style>

<style name="FIRSTTERM" group="inline-char">
	<font-weight>	Bold	</>
	<score>	Under	</>
	<script>	switch(index(content(me()),content(query(<GLOSSTERM> containing content(me())))),1,ebt-link root=parent(query(<GLOSSTERM> containing "content(me())")) ' ' window=new stylesheet='fulltext.v',DEFAULT,ebt-link)	</>
</style>

<style name="FONT" group="inline-char">
	<font-weight>	if(or(contains(attr(role),'bold'),contains(attr(role),'bolditalic')),bold,)	</>
	<font-slant>	if(or(contains(attr(role),'italic'),contains(attr(role),'bolditalic')),italic,)	</>
	<font-video>	switch(attr(role),inverse,inverse,DEFAULT,regular)	</>
	<foreground>	if(contains(attr(role),),magenta,black)	</>
	<score>	if(contains(attr(role),'underline'),under,)	</>
</style>

<style name="HR" group="inline-char">
	<break-before>	Line	</>
</style>

<style name="INTERFACE" group="inline-char">
</style>

<style name="KEYCAP" group="inline-char">
	<font-weight>	Medium	</>
	<font-slant>	Italics	</>
</style>

<style name="OPTIONAL" group="inline-char">
	<font-family>	&book.font-family	</>
	<font-weight>	Medium	</>
	<left-indent>	0	</>
</style>

<style name="PARAMETER" group="inline-char">
	<font-slant>	Italics	</>
</style>

<style name="REPLACEABLE" group="inline-char">
	<font-family>	&code-font	</>
	<font-slant>	Italics	</>
</style>

<style name="SUBSCRIPT" group="inline-char">
	<font-size>	&script-size	</>
	<vertical-offset>	-4	</>
</style>

<style name="SYMBOL" group="inline-char">
	<font-family>	symbol	</>
	<character-set>	symbol	</>
</style>

<style name="SYSTEMITEM" group="inline-char">
	<font-family>	&code-font	</>
</style>

<style name="TYPE" group="inline-char">
	<font-slant>	Italics	</>
</style>

<style name="USERINPUT" group="inline-char">
	<font-family>	&code-font	</>
	<font-weight>	Medium	</>
	<font-size>	&code-size	</>
</style>



<?INSTED COMMENT: UNGROUPED STYLES FOLLOW>

<style name="#NDATA">
	<font-weight>	if(attr(targetdocent),bold,)	</>
	<foreground>	if(attr(targetdocent),red,)	</>
	<score>	if(attr(targetdocent),under,)	</>
	<icon-position>	if(attr(targetdocent),,right)	</>
	<hide>	if(attr(targetdocent),off,text)	</>
	<script>	ebt-link target=idmatch(ID,attr(LocalInfo)) window='new' book=attr(nd.sys) showtoc=true	</>
	<icon-type>	if(attr(targetdocent),none,raster)	</>
</style>

<style name="#ROOT">
	<break-before>	Line	</>
</style>

<style name="#SDATA">
	<font-family>	attr(font)	</>
	<font-weight>	medium	</>
	<font-slant>	roman	</>
	<character-set>	attr(charset)	</>
	<text-before>char(attr(code))</>
</style>

<style name="#TAGS">
	<font-weight>	Bold	</>
	<font-size>	8	</>
	<foreground>	purple	</>
</style>

<style name="ADDRESS">
	<space-after>	5	</>
</style>

<style name="APPENDIX">
	<space-before>	5	</>
	<space-after>	20	</>
	<break-before>	Line	</>
</style>

<style name="APPENDIX,TITLE">
	<font-family>	&chap.title.font-family	</>
	<font-weight>	Bold	</>
	<font-size>	&chap.title.font-size	</>
	<line-spacing>	&chap.title.line-spacing	</>
	<space-after>	&default.space-after	</>
	<hrule>	After	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
	<text-before>Appendix format(gcnum(ancestor(appendix)),LETTER)</>
</style>

<style name="APPENDIX,TITLE,#TEXT-BEFORE">
	<break-after>	Line	</>
</style>

<style name="APP_TABLE_ICON">
	<right-indent>	&default.right-indent	</>
	<space-before>	&default-spaceb4	</>
	<space-after>	&default-spaceb4	</>
	<justification>	left	</>
	<icon-position>	Right	</>
	<break-before>	Line	</>
	<script>	ebt-reveal stylesheet="tables"   hscroll="True"  title="Table format(cnum(ancestor(appendix)),LETTER)-gcnum()    content(typechild(title))"	</>
	<icon-type>	table	</>
</style>

<style name="APP_TABLE_INLINE">
	<font-size>	&table-size	</>
	<space-before>	12	</>
	<space-after>	&default.space-after	</>
	<break-before>	Line	</>
	<script>	ebt-reveal stylesheet="tables"   hscroll="True"  title="Table format(cnum(ancestor(appendix)),LETTER)-gcnum()    content(typechild(title))"	</>
</style>

<style name="BOOK">
	<font-family>	&book.font-family	</>
	<font-size>	&default.body.size	</>
	<foreground>	&default-color	</>
	<line-spacing>	&default.line-spacing	</>
	<space-before>	&default-spaceb4	</>
	<break-before>	Line	</>
</style>

<style name="BOOK,TITLE">
	<font-weight>	Bold	</>
	<font-size>	&title-size	</>
	<line-spacing>	26	</>
	<space-after>	&default.space-after	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
</style>

<style name="BOOKBIBLIO,TITLE">
	<font-family>	&chap.title.font-family	</>
	<font-weight>	Bold	</>
	<font-size>	&title-size	</>
	<foreground>	&default-color	</>
	<left-indent>	0	</>
	<line-spacing>	&chap.title.line-spacing	</>
	<hrule>	After	</>
	<break-before>	Line	</>
</style>

<style name="BOOKINFO">
	<line-spacing>	17	</>
	<space-before>	&default-spaceb4	</>
	<space-after>	10	</>
	<icon-position>	Inline	</>
	<script>	ebt-reveal stylesheet=bookinfo title="Copyright Information"	</>
	<icon-type>	copyrt	</>
</style>

<style name="BOOKINFO,PARA">
	<space-after>	6	</>
	<hide>	Children	</>
	<break-before>	Line	</>
</style>

<style name="BRIDGEHEAD">
	<font-family>	&sect.title.font-family	</>
	<font-weight>	Bold	</>
	<font-size>	&sect3.title-size	</>
	<space-before>	6	</>
	<space-after>	&default.title.space-before	</>
	<break-after>	Line	</>
</style>

<style name="CAUTION">
	<left-indent>	25	</>
	<right-indent>	20	</>
	<line-spacing>	14	</>
	<space-before>	4	</>
	<space-after>	4	</>
	<justification>	Center	</>
	<hrule>	Surround	</>
	<break-after>	Line	</>
	<text-before>CAUTION</>
</style>

<style name="CAUTION,#TEXT-BEFORE">
	<font-weight>	Bold	</>
	<font-slant>	Italics	</>
	<foreground>	&caution-color	</>
	<left-indent>	80	</>
</style>

<style name="CAUTION,PARA">
	<space-after>	2	</>
	<justification>	Left	</>
	<break-before>	Line	</>
</style>

<style name="CHAPTER">
	<space-before>	10	</>
	<space-after>	20	</>
	<hrule>	None	</>
	<break-before>	Line	</>
</style>

<style name="CHAPTER,TITLE">
	<font-family>	&chap.title.font-family	</>
	<font-weight>	Bold	</>
	<font-size>	&chap.title.font-size	</>
	<line-spacing>	&chap.title.line-spacing	</>
	<space-after>	&default.space-after	</>
	<hrule>	After	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
	<text-before>Chapter gcnum(ancestor(chapter))</>
</style>

<style name="CHAPTER,TITLE,#TEXT-BEFORE">
	<break-after>	Line	</>
</style>

<style name="CITY">
	<text-after>,  </>
</style>

<style name="COPYRIGHT">
	<hide>	Children	</>
	<break-before>	Line	</>
</style>

<style name="EDITION">
	<font-video>	Inverse	</>
	<break-before>	Line	</>
</style>

<style name="ENTRY" group="">
	<left-indent>	mult(tableinfo(cals,left-indent,10),.40)	</>
	<width>	mult(tableinfo(cals,width,10),.37)	</>
	<justification>	tableinfo(cals, justification)	</>
	<column>	True	</>
</style>

<style name="ENTRY,ITEMIZEDLIST">
</style>

<style name="ENTRY,ITEMIZEDLIST,LISTITEM">
	<first-indent>	-5	</>
	<space-after>	2	</>
	<break-before>	True	</>
	<text-before>switch(attr(mark,ancestor(itemizedlist,me())),star,,box,n,dash,-,DEFAULT,)</>
</style>

<style name="ENTRY,NOTE">
	<space-before>	2	</>
	<space-after>	&default.space-after	</>
	<text-before>Note: </>
</style>

<style name="ENTRY,NOTE,PARA">
	<space-after>	2	</>
	<break-after>	Line	</>
</style>

<style name="ENTRY,ORDEREDLIST">
	<space-before>	2	</>
	<space-after>	2	</>
	<break-after>	Line	</>
</style>

<style name="ENTRY,ORDEREDLIST,LISTITEM">
	<left-indent>	+=15	</>
	<first-indent>	-=15	</>
	<space-after>	&default.space-after	</>
	<break-after>	Line	</>
	<text-before>join(cnum(me()),'.')</>
</style>

<style name="ENTRY,ORDEREDLIST,LISTITEM,PARA">
	<select>	entryORDERPARA*FIRST*eq(1,cnum())	</>
</style>

<style name="ENTRY,PARA">
	<font-weight>	switch(attr(remap),Tbl.Subhead,bold,DEFAULT,)	</>
	<space-after>	6	</>
	<break-before>	Line	</>
</style>

<style name="ENTRYORDERPARA*FIRST*FALSE">
	<font-family>	&book.font-family	</>
	<break-before>	TRUE	</>
	<break-after>	Line	</>
</style>

<style name="ENTRYORDERPARA*FIRST*TRUE">
	<break-before>	False	</>
	<break-after>	False	</>
</style>

<style name="EXAMPLE,TITLE">
	<font-family>	&sect.title.font-family	</>
	<font-weight>	Bold	</>
	<left-indent>	&figure.title.left-indent	</>
	<first-indent>	&figure.title.first-indent	</>
	<space-before>	6	</>
	<break-after>	Line	</>
	<text-before>attr(lbl)  </>
</style>

<style name="FIGURE">
	<left-indent>	0	</>
	<right-indent>	&default.right-indent	</>
	<space-after>	&default.space-after	</>
	<icon-position>	if(eq(attr(role,ancestor(book)),schematic),,right)	</>
	<break-before>	Line	</>
	<script>	ebt-if(contains(attr(fileref,typechild(GRAPHIC)),.cgm),vector,raster) filename="attr(fileref,typechild(GRAPHIC))" if(ancestor(appendix),title="Figure format(gcnum(ancestor(appendix)),LETTER)-gcnum()  ,title="Figure cnum(ancestor(chapter))-gcnum())   content(me())"	</>
	<inline>	if(eq(attr(role,ancestor(book)),schematic),if(contains(attr(fileref,typechild(GRAPHIC)),.cgm),vector,raster) filename="attr(fileref,typechild(GRAPHIC))"  scale=true,)	</>
	<icon-type>	if(eq(attr(role,ancestor(book)),schematic),,if(contains(attr(fileref,typechild(GRAPHIC)),.cgm),vector,raster))	</>
</style>

<style name="FIGURE,GRAPHIC">
	<break-before>	Line	</>
</style>

<style name="FIGURE,TITLE" group="">
	<font-family>	&sect.title.font-family	</>
	<font-weight>	Bold	</>
	<left-indent>	&figure.title.left-indent	</>
	<first-indent>	&figure.title.first-indent	</>
	<text-before>if(ancestor(appendix),Figure format(gcnum(ancestor(appendix)),LETTER)-gcnum(ancestor(figure)),Figure gcnum(ancestor(chapter))-gcnum(ancestor(figure)))  </>
</style>

<style name="FONT-IN-LINK">
	<font-weight>	Bold	</>
	<foreground>	&hot-link.color	</>
	<score>	Under	</>
	<script>	ebt-link target=idmatch(ID,attr(LINKEND,ancestor(link)))	</>
</style>

<style name="FONT-IN-OLINK">
	<font-weight>	Bold	</>
	<foreground>	&external-color	</>
	<score>	Under	</>
	<script>	ebt-link target=idmatch(LocalInfo,attr(LINKEND))	</>
	<select>	#ndata	</>
</style>

<style name="FOOTNOTE">
	<font-family>	&book.font-family	</>
	<font-weight>	Medium	</>
	<font-slant>	Roman	</>
	<font-size>	&default.body.size	</>
	<left-indent>	0	</>
	<width>	300	</>
	<icon-position>	Inline	</>
	<hide>	Children	</>
	<script>	ebt-reveal  stylesheet=fulltext.v title="Footnote"	</>
	<icon-type>	footnote	</>
</style>

<style name="FORMALPARA">
	<left-indent>	0	</>
	<space-before>	5	</>
	<space-after>	5	</>
</style>

<style name="FORMALPARA,PARA">
	<left-indent>	50	</>
</style>

<style name="FORMALPARA,TITLE">
	<font-family>	&sect.title.font-family	</>
	<font-weight>	Bold	</>
	<text-after> </>
</style>

<style name="GLOSSARY">
	<break-before>	Line	</>
</style>

<style name="GLOSSARY,TITLE">
	<font-family>	&chap.title.font-family	</>
	<font-weight>	Bold	</>
	<font-size>	&chap.title.font-size	</>
	<space-before>	&title-spaceAfter	</>
	<space-after>	&title-spaceAfter	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
</style>

<style name="GLOSSDEF">
	<left-indent>	15	</>
</style>

<style name="GLOSSDEF,ITEMIZEDLIST,LISTITEM">
	<left-indent>	20	</>
	<first-indent>	-5	</>
	<vertical-offset>	0	</>
	<space-after>	&listitem.space-after	</>
	<break-before>	True	</>
	<text-before>switch(attr(mark,ancestor(itemizedlist,me())),star,,box,n,dash,-,DEFAULT,)</>
</style>

<style name="GLOSSDEF,ITEMIZEDLIST,LISTITEM,ITEMIZEDLIST,LISTITEM">
	<left-indent>	35	</>
	<first-indent>	-5	</>
	<vertical-offset>	0	</>
	<space-after>	&listitem.space-after	</>
	<break-before>	True	</>
	<text-before>switch(attr(mark,ancestor(itemizedlist,me())),star,,box,n,dash,-,DEFAULT,)</>
</style>

<style name="GLOSSENTRY">
	<space-before>	6	</>
	<space-after>	6	</>
</style>

<style name="GLOSSTERM">
	<font-weight>	Bold	</>
	<break-after>	Line	</>
</style>

<style name="GRAPHIC">
	<space-before>	4	</>
	<space-after>	&default-spaceb4	</>
	<break-before>	Line	</>
	<script>	ebt-raster filename="attr(fileref)" title="Inline Graphic" 	</>
	<inline>	if(contains(attr(fileref),.cgm),vector,raster) filename="attr(fileref)" scale=true	</>
</style>

<style name="HOLDER">
	<text-after>.  </>
</style>

<style name="INFORMALFIGURE">
	<space-before>	if(eq(file(env(HOME)/.figsInsight),FILEREF),2,6)	</>
	<space-after>	&default-spaceb4	</>
	<break-before>	True	</>
	<script>	ebt-raster window=new filename="attr(fileref,typechild(graphic))"	</>
	<inline>	raster filename="attr(fileref,typechild(graphic))"	</>
</style>

<style name="INFORMALTABLE">
	<font-size>	&table-size	</>
	<left-indent>	0	</>
	<right-indent>	10	</>
	<space-before>	12	</>
	<space-after>	&default.space-after	</>
	<justification>	left	</>
	<break-before>	Line	</>
	<select>	table_icon	</>
</style>

<style name="ITEM*PARA*FIRST*FALSE">
	<break-before>	TRUE	</>
	<break-after>	FALSE	</>
</style>

<style name="ITEM*PARA*FIRST*TRUE">
	<break-after>	Line	</>
</style>

<style name="ITEMIZEDLIST">
	<left-indent>	&default.list.left-indent	</>
</style>

<style name="ITEMIZEDLIST,LISTITEM" group="">
	<left-indent>	&itemized-left-indent	</>
	<first-indent>	&default.listitem.first-indent	</>
	<vertical-offset>	0	</>
	<break-before>	True	</>
	<text-before>if (eq(attr(mark,ancestor(itemizedlist)),dash),-,.)</>
</style>

<style name="ITEMIZEDLIST,LISTITEM,#TEXT-BEFORE">
	<font-family>	Symbol	</>
	<font-weight>	Bold	</>
	<font-size>	36	</>
	<character-set>	symbol	</>
	<vertical-offset>	2	</>
</style>

<style name="ITEMIZEDLIST,LISTITEM,PARA">
	<space-after>	12	</>
	<break-after>	true	</>
	<select>	ITEM*PARA*FIRST*eq(1,cnum())	</>
</style>

<style name="LEGALNOTICE">
	<hide>	Children	</>
</style>

<style name="LINK">
	<font-weight>	Bold	</>
	<foreground>	&hot-link.color	</>
	<score>	Under	</>
	<script>	ebt-link target=idmatch(ID,attr(LINKEND))	</>
</style>

<style name="LISTITEM,LITERALLAYOUT">
	<font-family>	&code-font	</>
	<left-indent>	25	</>
	<space-before>	&default-spaceb4	</>
	<space-after>	&default.space-after	</>
	<justification>	Left	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
</style>

<style name="LITERALLAYOUT">
	<font-family>	&code-font	</>
	<space-before>	2	</>
	<space-after>	2	</>
	<justification>	Left	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
</style>

<style name="LITERALLAYOUT,EMPHASIS">
	<font-weight>	Bold	</>
	<left-indent>	if(eq(1,cnum()),0,)	</>
</style>

<style name="LITERALLAYOUT,FONT">
	<font-slant>	Italics	</>
	<left-indent>	if(eq(1,cnum()),0,)	</>
</style>

<style name="LITERALLAYOUT,PARAMETER">
	<font-slant>	Italics	</>
	<left-indent>	if(eq(1,cnum()),0,)	</>
</style>

<style name="LITERALLAYOUT,REPLACEABLE">
	<font-family>	&code-font	</>
	<font-slant>	Italics	</>
	<left-indent>	if(eq(1,cnum()),0,)	</>
</style>

<style name="MEMBER">
	<break-after>	Line	</>
</style>

<style name="MSGEXPLAN">
	<left-indent>	20	</>
</style>

<style name="MSGEXPLAN,PARA" group="">
	<break-after>	Line	</>
</style>

<style name="MSGTEXT,PARA" group="">
	<font-weight>	Bold	</>
	<space-before>	2	</>
	<break-after>	Line	</>
</style>

<style name="NOTE">
	<left-indent>	25	</>
	<right-indent>	20	</>
	<space-before>	&default-spaceb4	</>
	<space-after>	&default.space-after	</>
	<justification>	Center	</>
	<hrule>	Surround	</>
	<break-after>	Line	</>
	<text-before>NOTE</>
</style>

<style name="NOTE,#TEXT-BEFORE">
	<font-weight>	Bold	</>
	<font-slant>	Italics	</>
</style>

<style name="NOTE,PARA">
	<space-after>	2	</>
	<justification>	Left	</>
	<break-before>	Line	</>
</style>

<style name="OLINK">
	<font-weight>	Bold	</>
	<foreground>	&external-color	</>
	<score>	Under	</>
	<script>	ebt-link target=idmatch(LocalInfo,attr(LINKEND))	</>
	<select>	#ndata	</>
</style>

<style name="ORDEREDLIST">
	<left-indent>	&itemized-left-indent	</>
	<space-before>	&small-spaceb4	</>
	<space-after>	&small-space-after	</>
	<break-after>	Line	</>
</style>

<style name="ORDEREDLIST,LISTITEM">
	<left-indent>	&default.list.left-indent	</>
	<first-indent>	&default.listitem.first-indent	</>
	<space-after>	&default.space-after	</>
	<break-after>	Line	</>
	<text-before>if (eq(attr(numeration,ancestor(orderedlist)),loweralpha),format(cnum(),letter).,cnum().)</>
</style>

<style name="ORDEREDLIST,LISTITEM,#TEXT-BEFORE">
</style>

<style name="ORDEREDLIST,LISTITEM,PARA">
	<select>	ORDERPARA*FIRST*eq(1,cnum())	</>
</style>

<style name="ORDERPARA*FIRST*FALSE">
	<space-after>	&default.space-after	</>
	<break-before>	TRUE	</>
	<break-after>	Line	</>
</style>

<style name="ORDERPARA*FIRST*TRUE">
	<space-after>	&default.space-after	</>
	<break-before>	False	</>
	<break-after>	False	</>
</style>

<style name="PARA" group="">
	<left-indent>	switch(attr(role),indent1,+=15,indent2,+=30,'DEFAULT',)	</>
	<space-after>	6	</>
	<break-before>	Line	</>
</style>

<style name="PART">
	<space-before>	2	</>
	<break-after>	Line	</>
</style>

<style name="PART,TITLE">
	<font-weight>	Bold	</>
	<font-size>	&doc.title.font-size	</>
	<line-spacing>	26	</>
	<space-after>	6	</>
	<hrule>	After	</>
	<text-before>Part format(cnum(ancestor(part)),ROMAN)</>
</style>

<style name="PART,TITLE,#TEXT-BEFORE">
	<break-after>	Line	</>
</style>

<style name="POB">
	<break-before>	Line	</>
	<text-before>P.O. Box  </>
	<text-after>,  </>
</style>

<style name="PREFACE">
	<break-before>	Line	</>
</style>

<style name="PREFACE,TITLE">
	<font-family>	&chap.title.font-family	</>
	<font-weight>	Bold	</>
	<font-size>	&chap.title.font-size	</>
	<line-spacing>	&chap.title.line-spacing	</>
	<space-after>	&default.space-after	</>
	<hrule>	After	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
	<text-before>Introduction </>
</style>

<style name="PRINTHISTORY">
	<hide>	Children	</>
</style>

<style name="PRODUCTNAME">
	<font-size>	&product-size	</>
	<foreground>	&default-color	</>
	<hide>	All	</>
	<break-before>	Line	</>
</style>

<style name="PROGRAMLISTING">
	<font-family>	&code-font	</>
	<font-size>	&code-size	</>
	<space-before>	2	</>
	<space-after>	2	</>
	<justification>	Verbatim	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
</style>

<style name="PUBDATE">
	<foreground>	&default-color	</>
	<justification>	Center	</>
	<hide>	Children	</>
	<break-before>	Line	</>
</style>

<style name="PUBLISHER">
	<hide>	Children	</>
</style>

<style name="PUBLISHERNAME">
	<break-before>	Line	</>
	<text-after>, </>
</style>

<style name="PUBSNUMBER">
	<foreground>	&default-color	</>
	<justification>	Center	</>
	<break-before>	Line	</>
</style>

<style name="REFENTRY">
	<break-before>	Line	</>
</style>

<style name="REFNAME">
	<font-family>	Arial	</>
	<font-size>	&sect1.title-size	</>
	<space-before>	&sect1.title.space-before	</>
	<hrule>	After	</>
	<break-after>	Line	</>
</style>

<style name="REFNAMEDIV">
	<space-before>	&sect1.space-before	</>
	<break-before>	Line	</>
</style>

<style name="REFPURPOSE">
	<space-after>	4	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
</style>

<style name="REFSECT1">
	<break-before>	Line	</>
</style>

<style name="REFSECT1,TITLE">
	<font-family>	Arial	</>
	<font-weight>	Bold	</>
	<font-size>	&sect3.title-size	</>
	<space-before>	&default.title.space-before	</>
	<hrule>	After	</>
	<break-after>	Line	</>
</style>

<style name="REFSECT2">
	<break-before>	Line	</>
</style>

<style name="REFSECT2,TITLE">
	<font-weight>	Bold	</>
	<space-before>	&default.title.space-before	</>
	<break-after>	Line	</>
</style>

<style name="REFSYNOPSISDIV">
	<break-before>	Line	</>
</style>

<style name="RELEASEINFO">
	<foreground>	&default-color	</>
	<justification>	Center	</>
	<hide>	Children	</>
	<break-before>	Line	</>
</style>

<style name="ROW">
	<space-after>	5	</>
	<hrule>	Surround	</>
	<break-before>	Line	</>
</style>

<style name="SCREEN">
	<font-family>	Video-Screen	</>
	<font-size>	&code-size	</>
	<character-set>	fontspecific	</>
	<justification>	Verbatim	</>
	<break-before>	Line	</>
	<break-after>	Line	</>
</style>

<style name="SECT1">
	<space-before>	&sect1.space-before	</>
	<break-before>	Line	</>
</style>

<style name="SECT1,TITLE">
	<font-family>	&sect.title.font-family	</>
	<font-weight>	Bold	</>
	<font-size>	&sect1.title-size	</>
	<line-spacing>	20	</>
	<space-before>	&sect1.title.space-before	</>
	<space-after>	4	</>
	<hrule>	After	</>
	<break-after>	Line	</>
</style>

<style name="SECT2">
	<break-before>	Line	</>
</style>

<style name="SECT2,TITLE">
	<font-family>	&sect.title.font-family	</>
	<font-weight>	Bold	</>
	<font-size>	&sect2.title-size	</>
	<space-before>	4	</>
	<space-after>	4	</>
	<hrule>	After	</>
	<break-after>	Line	</>
</style>

<style name="SECT3">
	<break-before>	Line	</>
</style>

<style name="SECT3,TITLE">
	<font-family>	&sect.title.font-family	</>
	<font-weight>	Bold	</>
	<font-size>	&sect3.title-size	</>
	<space-before>	6	</>
	<space-after>	&default.title.space-before	</>
	<break-after>	Line	</>
</style>

<style name="SECT4">
	<break-before>	Line	</>
</style>

<style name="SECT4,TITLE">
	<font-weight>	Bold	</>
	<font-size>	&sect4.title-size	</>
	<space-before>	6	</>
	<space-after>	&default.title.space-before	</>
	<break-after>	Line	</>
</style>

<style name="SEEALSOPARA">
	<left-indent>	40	</>
	<first-indent>	-40	</>
	<break-before>	Line	</>
</style>

<style name="SEEALSOPARA,EMPHASIS">
	<font-weight>	Bold	</>
	<first-indent>	-40	</>
	<break-after>	Line	</>
</style>

<style name="SIDEBAR">
	<left-indent>	18	</>
	<icon-position>	Left	</>
	<hide>	Children	</>
	<break-before>	Line	</>
	<script>	ebt-reveal stylesheet=fulltext.v title="Margin Note"	</>
	<icon-type>	note	</>
</style>

<style name="SIMPLELIST">
	<left-indent>	10	</>
	<space-before>	4	</>
	<space-after>	2	</>
	<break-after>	Line	</>
</style>

<style name="STATE">
	<text-after>  </>
</style>

<style name="SUBTITLE">
	<font-weight>	Bold	</>
	<foreground>	&default-color	</>
	<justification>	Center	</>
	<break-before>	Line	</>
</style>

<style name="SUPERSCRIPT" group="">
	<font-size>	&script-size	</>
	<vertical-offset>	4	</>
</style>

<style name="SUPERSCRIPT,FONT">
	<font-size>	&script-size	</>
	<vertical-offset>	4	</>
</style>

<style name="SYNOPSIS">
	<font-family>	&code-font	</>
	<font-size>	&code-size	</>
	<justification>	Left	</>
	<break-after>	Line	</>
</style>

<style name="SYNOPSIS,FONT">
	<font-slant>	Italics	</>
	<first-indent>	-30	</>
</style>

<style name="TABLE">
	<right-indent>	10	</>
	<space-before>	&default-spaceb4	</>
	<space-after>	&default-spaceb4	</>
	<justification>	left	</>
	<icon-position>	if(parent(figure,me()),off,right)	</>
	<break-before>	Line	</>
	<script>	ebt-reveal stylesheet="tables"   hscroll="True"  if(ancestor(appendix),title="Table  format(gcnum(ancestor(appendix)),LETTER)-gcnum()'  ',title="Table  gcnum(ancestor(chapter))-gcnum()'  ') content(typechild(title))"	</>
	<icon-type>	table	</>
</style>

<style name="TABLE,#TEXT-BEFORE">
	<font-weight>	Bold	</>
	<hide>	All	</>
</style>

<style name="TABLE,TITLE">
	<font-family>	&sect.title.font-family	</>
	<font-weight>	Bold	</>
	<left-indent>	&table.title.left-indent	</>
	<right-indent>	&default.right-indent	</>
	<first-indent>	&table.title.first-indent	</>
	<break-after>	Line	</>
	<text-before>if(ancestor(appendix),Table format(gcnum(ancestor(appendix)),LETTER)-gcnum(ancestor(table)),Table gcnum(ancestor(chapter))-gcnum(ancestor(table)))</>
</style>

<style name="TABLE_ICON">
	<right-indent>	&default.right-indent	</>
	<space-before>	&default-spaceb4	</>
	<space-after>	&default-spaceb4	</>
	<justification>	left	</>
	<icon-position>	Inline	</>
	<break-before>	Line	</>
	<script>	ebt-reveal stylesheet="tables"   hscroll="True"  title="Table"	</>
	<icon-type>	table	</>
</style>

<style name="TABLE_INLINE">
	<font-size>	&table-size	</>
	<space-before>	12	</>
	<space-after>	&default.space-after	</>
	<break-before>	Line	</>
	<script>	ebt-reveal stylesheet="tables"   hscroll="True"  title="Table cnum(ancestor(chapter))-gcnum()    content(typechild(title))"	</>
</style>

<style name="TERM">
	<font-weight>	Bold	</>
</style>

<style name="TERM,#TEXT-AFTER">
	<font-family>	symbol	</>
	<character-set>	symbol	</>
</style>

<style name="TGROUP">
	<hide>	All	</>
</style>

<style name="THEAD">
	<font-family>	Arial	</>
	<font-weight>	Bold	</>
	<space-before>	10	</>
	<space-after>	2	</>
</style>

<style name="TITLE">
	<font-weight>	Bold	</>
	<font-size>	&doc.title.font-size	</>
	<line-spacing>	26	</>
	<space-after>	6	</>
</style>

<style name="VARIABLELIST">
	<left-indent>	+=2	</>
</style>

<style name="VARLISTENTRY">
	<space-before>	&small-spaceb4	</>
	<break-after>	Line	</>
</style>

<style name="VARLISTENTRY,LISTITEM">
	<space-after>	6	</>
	<text-before>  </>
</style>

<style name="VARLISTENTRY,LISTITEM,PARA">
	<space-after>	12	</>
	<break-after>	true	</>
	<select>	ITEM*PARA*FIRST*eq(1,cnum())	</>
</style>

<style name="WARNING">
	<font-weight>	Bold	</>
	<left-indent>	25	</>
	<right-indent>	20	</>
	<line-spacing>	14	</>
	<space-before>	4	</>
	<space-after>	4	</>
	<justification>	Center	</>
	<hrule>	Surround	</>
	<break-after>	Line	</>
	<text-before>if(eq(attr(role),danger),DANGER!  ,WARNING!  )</>
</style>

<style name="WARNING,#TEXT-BEFORE">
	<font-weight>	Bold	</>
	<font-slant>	Italics	</>
	<foreground>	if(eq(attr(role),danger),red,dark red)	</>
	<left-indent>	80	</>
</style>

<style name="WARNING,PARA">
	<space-after>	2	</>
	<justification>	Left	</>
	<break-before>	Line	</>
</style>

<style name="YEAR">
	<text-after>,  </>
</style>



</sheet>
